OhMyGPT
Audio

Create transcription

POST
/v1/audio/transcriptions

Transcribe an audio file into text. Upload the audio as multipart/form-data; billing follows the usage the model reports, by audio duration or by tokens.

Authorization

ApiKeyAuth
headerAuthorization<token>

Request Body

multipart/form-data
  1. body
chunking_strategy?||null
file*file

The audio file object (not file name) to transcribe, in one of these formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm. The request must include enough format metadata for the file to be identified. We recommend an extension-bearing filename and an appropriate content type.

Formatbinary
include?array<>

Additional information to include in the transcription response. logprobs will return the log probabilities of the tokens in the response to understand the model's confidence in the transcription. logprobs only works with response_format set to json and only with the models gpt-4o-transcribe, gpt-4o-mini-transcribe, and gpt-4o-mini-transcribe-2025-12-15. This field is not supported when using gpt-4o-transcribe-diarize.

keywords?array<string>

Words or phrases to guide transcription of the input audio. Supported by gpt-transcribe.

known_speaker_names?array<string>

Optional list of speaker names that correspond to the audio samples provided in known_speaker_references[]. Each entry should be a short identifier (for example customer or agent). Up to 4 speakers are supported.

Itemsitems <= 4
known_speaker_references?array<string>

Optional list of audio samples (as data URLs) that contain known speaker references matching known_speaker_names[]. Each sample must be between 2 and 10 seconds, and can use any of the same input audio formats supported by file.

Itemsitems <= 4
language?string

The language of the input audio. Supplying the input language in ISO-639-1 (e.g. en) format will improve accuracy and latency.

languages?array<string>

Possible languages of the input audio, in ISO-639-1 format. Supported by gpt-transcribe.

Items1 <= items
model*|

ID of the model to use. The options are gpt-transcribe, gpt-4o-transcribe, gpt-4o-mini-transcribe, gpt-4o-mini-transcribe-2025-12-15, whisper-1 (which is powered by our open source Whisper V2 model), and gpt-4o-transcribe-diarize.

prompt?string

An optional text to guide the model's style or continue a previous audio segment. The prompt should match the audio language. This field is not supported when using gpt-4o-transcribe-diarize.

response_format?AudioResponseFormat

The format of the output, in one of these options: json, text, srt, verbose_json, vtt, or diarized_json. For gpt-4o-transcribe and gpt-4o-mini-transcribe, the only supported format is json. For gpt-4o-transcribe-diarize, the supported formats are json, text, and diarized_json, with diarized_json required to receive speaker annotations.

Default"json"
Value in"json""text""srt""verbose_json""vtt""diarized_json"
stream?|null
temperature?number

The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use log probability to automatically increase the temperature until certain thresholds are hit.

Default0
timestamp_granularities?array<>

The timestamp granularities to populate for this transcription. response_format must be set verbose_json to use timestamp granularities. Either or both of these options are supported: word, or segment. Note: There is no additional latency for segment timestamps, but generating word timestamps incurs additional latency. This option is not available for gpt-4o-transcribe-diarize.

Default
[  "segment"]

Response Body

Successful response

application/json
  1. response

Represents a transcription response returned by model, based on the provided input.

languages?array<>

The languages detected in the audio. Returned by gpt-transcribe. An empty array indicates that no language could be reliably detected.

logprobs?array<>

The log probabilities of the tokens in the transcription. Only returned with the models gpt-4o-transcribe and gpt-4o-mini-transcribe if logprobs is added to the include array.

text*string

The transcribed text.

usage?|

Token usage statistics for the request.

Example Request
curl -X POST 'https://api.ohmygpt.com/v1/audio/transcriptions' \  -F 'file=string' \  -F 'model=string'
Example Response
{  "languages": [    {      "code": "string"    }  ],  "logprobs": [    {      "bytes": [        0      ],      "logprob": 0,      "token": "string"    }  ],  "text": "string",  "usage": {    "input_token_details": {      "audio_tokens": 0,      "text_tokens": 0    },    "input_tokens": 0,    "output_tokens": 0,    "total_tokens": 0,    "type": "tokens"  }}